using HardwareShopDataModels.Models;
using System.ComponentModel;

namespace HardwareShopContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
        public int Id { get; set; }
        [DisplayName("Компонент")]
        public string ComponentName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Cost { get; set; }
        public int UserId { get; set; }
        [DisplayName("Логин кладовщика")]
        public string UserLogin { get; set; } = string.Empty;
        public Dictionary<int, (IBuildModel, int)>? ComponentsBuilds
        {
            get;
            set;
        } = new();
    }
}
